@import '@styles/breakpoints.scss';

.lang_selector {
  display: flex;
  flex-direction: row;
  font-size: 18px;
  font-family: var(--font-family-light);

  &__list {
    display: flex;
    flex-direction: row;
  }

  &__item {
    position: relative;
    cursor: pointer;
    pointer-events: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 60px;
    margin-right: 10px;
    border: 2px solid var(--border-color-primary);
    border-radius: 50%;
    text-transform: uppercase;
    opacity: 1;
    transition: opacity var(--transition), background-color var(--transition);

    &:last-child {
      margin-right: 0;
    }

    @include hover {
      background-color: var(--body-bg-color-secondary);
      color: var(--btn-font-color-secondary);
    }

    &.active {
      pointer-events: none;
      opacity: 0.55;
    }

    &.selector {
      @include hover {
        background-color: transparent;
        color: inherit;
      }
    }
  }
}
